//
//  RegistrationManager.h
//  GeckoSoft
//
//  Created by Masatoshi Nishikata on 07/06/08.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface RegistrationManager : NSObject {

	BOOL                registered;
	BOOL                confirmed;


   //NSString            *ESDSerialNumber;
	//NSString            *ESDUsername;

    IBOutlet            id serialNumberField;
	//IBOutlet            id nameField;

    IBOutlet            id registeredField;
	IBOutlet			NSMenu *menu;
	IBOutlet			NSPanel *serialPanel;
	
	IBOutlet			NSTextField *enterSNField;
	//IBOutlet			NSTextField *enterNameField;

}
- (id) init ;
- (void)dealloc;
- (void)setRegistered:(BOOL)yn;
- (BOOL)registered;
-(NSMenu*)menu;
- (IBAction)menuActivate:(id)sender;
- (IBAction)menuDeactivate:(id)sender;
- (IBAction)menuConfirm:(id)sender;
- (IBAction)menuEnter:(id)sender;
- (IBAction)buttonRegister:(id)sender;
- (IBAction)buttonCancel:(id)sender;
- (IBAction)menuLayout:(id)sender;
- (IBAction)menuPurchase:(id)sender;
- (IBAction)menuUpdate:(id)sender;
- (void)updateSNWithActivation:(BOOL)activateSN;
- (BOOL)validateMenuItem:(NSMenuItem *)menuItem;
- (OSStatus)installEngine;

@end
